Skip to main content
POST
/
{alias}
/
users
/
invites
Criar convite de usuário
curl --request POST \
  --url https://api.dooki.com.br/v2/{alias}/users/invites \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "id": 123,
  "group_id": 123,
  "email": "<string>"
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/users/invites"

payload = {
    "id": 123,
    "group_id": 123,
    "email": "<string>"
}
headers = {
    "User-Token": "<api-key>",
    "User-Secret-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'User-Token': '<api-key>',
    'User-Secret-Key': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({id: 123, group_id: 123, email: '<string>'})
};

fetch('https://api.dooki.com.br/v2/{alias}/users/invites', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "group_id": 123,
    "accepted": true,
    "expired": true,
    "email": "<string>",
    "accepted_at": "2023-11-07T05:31:56Z",
    "created_at": {
      "date": "2000-08-17 10:24:24",
      "timezone_type": 3,
      "timezone": "America/Sao_Paulo"
    },
    "updated_at": {
      "date": "2000-08-17 10:24:24",
      "timezone_type": 3,
      "timezone": "America/Sao_Paulo"
    }
  }
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

Body

application/json

Detalhes do convite

id
integer
group_id
integer

ID do grupo ao qual o usuário será adicionado

email
string

E-mail do usuário do convite

Response

Convite enviado com sucesso

data
object